local file_path = ModPath .. "names.json"
Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInitWeaponNames", function(loc)
	local names = io.file_is_readable(file_path) and io.load_as_json(file_path) or {}

	local changed
	for _, v in pairs(tweak_data.weapon) do
		if v.name_id and not names[v.name_id] and loc:exists(v.name_id) then
			changed = true
			names[v.name_id] = loc:text(v.name_id):gsub("%sAssault%sRifles?", ""):gsub("%sSniper%sRifles?", ""):gsub("%s+Rifles?", ""):gsub("%sShotguns?", ""):gsub("%sPistols?", ""):gsub("%sRevolvers?", ""):gsub("%sSubmachine%sGuns?", ""):gsub("%sSMGs?", ""):gsub("%sLight%sMachine%sGuns?", ""):gsub("%sLMGs?", ""):gsub("%sGrenade%sLaunchers?", ""):gsub("%sRocket%sLaunchers?", ""):gsub("%sBows?", "")
		end
	end

	if changed then
		io.save_as_json(names, file_path)
	end

	loc:add_localized_strings(names)
end)
